Bug 5114 - Host information is not updated when a parse error occurs
: Host information is not updated when a parse error occurs
Status: CLOSED FIXED
: Gridway
Core
: 5.2
: EGEE All
: P3 normal
: ---
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2007-03-20 12:03 by
Modified: 2007-06-22 11:17 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-03-20 12:03:01
This bug is also related to the GLUE IM MAD driver.
When the driver returns a non-valid monitor string the host state is not
updated, so it remains in the MONITORING state for ever, and its info is not
updated again.

The state of the host should be updated, and set to UNKNOWN when the
information of a host can not be updated due to a parse error (gw_host.c:180).

Also the GLUE driver sometimes generate wrong monitor strings (parse error).
For example

[IM][E]: Syntax error syntax error at columns 71-79.
[IM][E]: Syntax error parsing attributes (host xx) "HOSTNAME="" ARCH="i686"
OS_NAME="" OS_VERSION="" CPU_MODEL="" CPU_MHZ= CPU_FREE=0 CPU_SMP= NODECOUNT=
SIZE_MEM_MB= FREE_MEM_MB= SIZE_DISK_MB=0 FREE_DISK_MB=0
FORK_NAME="jobmanager-fork" LRMS_NAME="" LRMS_TYPE="" QUEUE_NAME[0]="biomed"
QUEUE_NODECOUNT[0]=122 QUEUE_FREENODECOUNT[0]=1 QUEUE_MAXTIME[0]=4320
QUEUE_MAXCPUTIME[0]=3600 QUEUE_MAXCOUNT[0]=0 QUEUE_MAXRUNNINGJOBS[0]=0
QUEUE_MAXJOBSINQUEUE[0]=0 QUEUE_DISPATCHTYPE[0]="batch" QUEUE_PRIORITY[0]="1"
QUEUE_STATUS[0]="Production"

We can either fix the driver to provide default values for int/char * variables 
(i.e CPU_MHZ=0 and not CPU_MHZ=, the problem above). Or improve the parser to
assume NULL/0's in this case. I'd rather implement this one, so we do not have
to 'fix' every possible driver
------- Comment #1 From 2007-04-11 08:00:42 -------
Bug has been solved in the Trunk. The parser has been made more flexible so it
can handle null assignments (e.g. VAR= ). Some minor memory leaks has also been
solved.